Subject: Re: [MOBILE-IP] charter update

From: James Kempf <[email-masked]>
Date: Mon, 6 Mar 2000 15:18:54 -0800

I wanted to post a few thoughts on the discussion about charter update,
beyond the cryptic email I sent last week, for which I apologize. I
should know better than to comment on complex technical subjects
the morning after a 14 hour plane trip. :-) The following is somewhat
long and maybe repetitious to some people, but hopefully presents
a worthwhile perspective.

IMHO, the issue with micromobility (as it's being called) is not so much
L2 dependence as whether the IP subnet model is accurate for
the particular application. If the IP subnet model is accurate, then
the mobile IP architecture in its current form, with perhaps a few
tweaks for performance, is an acceptable solution. If the subnet model
is not accurate, then mobile IP might not be the best solution.

An example of a wireless network architecture where the subnet model breaks
down entirely is mobile, ad hoc networks. The MANET group is working
on this problem, and the solutions that are being offered are
independent of any particular radio technology or link layer, and are
therefore general.

An example of an L2 technology that fits well with the subnet model
is IEEE 802.11 wireless LAN. If the wireless nodes are on a separate
subnet or the access points are performing L2 bridging, then L2 mobility can
take care of fast, on-subnet handoff and mobile IP can take care of handoff
between subnets. There is still an issue here of whether between-subnet handoff
is fast enough for multimedia applications but, in principle, the general mobile
IP framework seems capable of handling the situation.

The example of CDMA networks is somewhat unclear, and seems to lay between
these two cases. These networks typically have a requirement for very
fast handoff and stringent QoS guarantees because they are primarily voice. They
also don't obey the subnet model very well, because there can be multiple
physical packet streams coming from/going to a mobile node through individual
radio access points that logically correspond to a single packet stream outgoing
from the mobile node or incoming from the corresponding node.
The multiple streams get combined in the radio access network into a single
packet stream or on entrance to the radio access network are generated by
splitting the single stream coming from the corresponding node.

The mobile IP framework doesn't handle this case very well. Logically,
one would like to have the freedom to design the network so that
each individual transmitter is on a separate subnet, but because the
packet streams moving through the different transmitters don't correspond
to logically separate streams, the subnet model doesn't seem like the
correct one. The situation is more like multicast, at least in the
incoming direction, but the streams must be highly synchronized and
reliably delivered.

For now, economic necessity is driving the radio access network design
to use IP in whatever way it can independent of whether micromobility
can be handled by mobile IP. I've been working with the Mobile
Wireless Internet Forum on this, and at a meeting last week we
discussed how to get IP into the radio access network. The solution
for now is to have the IP radio access network in a logically separate address
space from the IP address space of the mobile node, so the mobile node's address
is not used while routing in the radio access network, a form of tunnelling.
This allows the traffic on the radio access network to be primarily
shaped radio packet payloads in IP packets, with some control traffic
as necessary. At some point in the radio access network, the combination
of the outgoing packets occurs, and a physical VoIP packet or an IP data packet
as generated by an application on the mobile node is generated (or vice versa,
incoming).

Actual packet datagram service to the mobile node is
handled by an overlay network, the design of which is already complete
in both European and North American standards. Mobile IP is used
in the North American standard for packet data service mobility between domains
and is being considered in the European standard, although the European
standard currently uses a different mechanism. In the North American
design, the FA is outside the radio access network. For now, this is enough
because nobody is proposing VoIP over the radio network anytime soon, due to the
lack of a spectrally efficient representation of VoIP on the air in comparison
with traditional packetized cellular voice.

But the cellular operators would like to have the mobile node's address
be logically in the access network's address space if technically possible,
because it would improve the end-to-end properties of the network
connection, and may also result in a somewhat more efficient use of
network bandwidth, especially if the mobile node is a fully Internet
capable cell phone and is using VoIP instead of traditional cellular
voice protocols. This is clearly a direction in which there is some
desire among a variety of groups to see the radio access network
of CDMA systems evolve.

On QoS and mobile IP, I think there is an issue, at least as far as
CDMA radio access networks are concerned. Currently, these networks
tend to be point-to-point between a centralized controller and
a collection of radio access points, so routing isn't a big issue,
but some cellular operators are looking at switched and (potentially)
routed networks down the line. If these networks are routed, then
MPLS becomes an interesting option for QoS, and the question comes
up about where to put the FA in relation to the MPLS tunnel. If the
FA is at the downstream end of the tunnel, then there is an extra level of MPLS
encapsulation. If the FA is at the upstream end of the tunnel, then there is a
question about how to handle mobility with MPLS. I don't claim to
know enough about MPLS to suggest any solutions, but it seems like
there are potential issues that need examining. The same issues come up
if MPLS is used in the core network as well.

Maybe the CDMA example is too specific for including in the mobile IP charter,
and perhaps it should be a separate working group, or perhaps it should
be left outside the IETF's purview entirely and up to the telephony
standards groups. I know of no other radio networking technology that has the
same peculiar properties. On the other hand, it is clear (at least to me)
the the expertiese to provide possible solutions lies with the IETF. I
have not had a chance to read all of the micro-mobility drafts, but the
ones I've looked at have some ideas that need consideration. I think
that some group in the IETF, whether it is the mobile IP group or
a separate group, like MANET, should be chartered to look at these
issues, with the CDMA network in mind as the model.

Comments?

                jak

---

From: Jim Willkie <[email-masked]>
Date: Mon, 6 Mar 2000 16:27:03 -0800

>a worthwhile perspective.
--cut--

The CDMA example below is a bit misleading. Please allow me to clarify...

>fast handoff and stringent QoS guarantees because they are primarily voice.

It is true re: fast handoff and QoS but these aspects occur at the physical
layer. A packet data stream over CDMA would not be subject to either of
these conditions as they occur below L2. Packet mobility-related handoff
occurs at IWF (or PDSN) boundaries and only occur at boundaries.

>They

This statement is not accurate. Now it is true that at the physical layer
CDMA when a user on a traffic channel is in a soft or softer handoff
condition (ie. connected to multiple BTSs) that traffic channel frames are
moving between the mobile and multiple BTSs, BUT these are in fact the same
frames coming from multiple sites. For voice they are the same voice
frames, for data they are the same packets. In either case the the CDMA
physical layer 'merges' them together. In summary this situation should not
be considered multiple packets coming/going because they are not.

>splitting the single stream coming from the corresponding node.

Ahh, this is true.

>The mobile IP framework doesn't handle this case very well.

This is where I do not agree. MobileIP has no idea the combining/separating
has even occured. So mobileIP has no problem with this as soft/softer
handoff would only occur within a single operators equipment (so a single
PDSN would be the case for all soft/softer handoff situations).

So in summary the CDMA network does NOT introduce additional complexity for
network layer mobility.

Jim Willkie